com.hazelcast.jet.function

## Interface DistributedComparator<T>

- All Superinterfaces:
    Comparator<T>, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedComparator<T>
      extends Comparator<T>, Serializable

  `Serializable` variant of `java.util.Comparator` which declares checked exception.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default int` | `compare(T o1, T o2)`
    `int` | `compareEx(T o1, T o2)` Exception-declaring version of `Comparator.compare(T, T)`.
    `static <T,U extends Comparable<? super U>> DistributedComparator<T>` | `comparing(DistributedFunction<? super T,? extends U> toKeyFn)` `Serializable` variant of `java.util.Comparator#comparing(Function)`.
    `static <T,U> DistributedComparator<T>` | `comparing(DistributedFunction<? super T,? extends U> toKeyFn, DistributedComparator<? super U> keyComparator)` `Serializable` variant of `java.util.Comparator#comparing(Function, Comparator)`.
    `static <T,U extends Comparable<? super U>> DistributedComparator<T>` | `comparing(Function<? super T,? extends U> toKeyFn)` `Serializable` variant of `java.util.Comparator#comparing(Function)`.
    `static <T,U> DistributedComparator<T>` | `comparing(Function<? super T,? extends U> toKeyFn, Comparator<? super U> keyComparator)` `Serializable` variant of `java.util.Comparator#comparing(Function, Comparator)`.
    `static <T> DistributedComparator<T>` | `comparingDouble(DistributedToDoubleFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#comparingDouble(ToDoubleFunction)`.
    `static <T> DistributedComparator<T>` | `comparingDouble(ToDoubleFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#comparingDouble(ToDoubleFunction)`.
    `static <T> DistributedComparator<T>` | `comparingInt(DistributedToIntFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#comparingInt(ToIntFunction)`.
    `static <T> DistributedComparator<T>` | `comparingInt(ToIntFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#comparingInt(ToIntFunction)`.
    `static <T> DistributedComparator<T>` | `comparingLong(DistributedToLongFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#comparingLong(ToLongFunction)`.
    `static <T> DistributedComparator<T>` | `comparingLong(ToLongFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#comparingLong(ToLongFunction)`.
    `static <T extends Comparable<? super T>> DistributedComparator<T>` | `naturalOrder()` `Serializable` variant of `java.util.Comparator#naturalOrder()`.
    `static <T> DistributedComparator<T>` | `nullsFirst(Comparator<? super T> comparator)` `Serializable` variant of `java.util.Comparator#nullsFirst(Comparator)`.
    `static <T> DistributedComparator<T>` | `nullsFirst(DistributedComparator<? super T> comparator)` `Serializable` variant of `java.util.Comparator#nullsFirst(Comparator)`.
    `static <T> DistributedComparator<T>` | `nullsLast(Comparator<? super T> comparator)` `Serializable` variant of `java.util.Comparator#nullsLast(Comparator)`.
    `static <T> DistributedComparator<T>` | `nullsLast(DistributedComparator<? super T> comparator)` `Serializable` variant of `java.util.Comparator#nullsLast(Comparator)`.
    `default DistributedComparator<T>` | `reversed()` `Serializable` variant of `java.util.Comparator#reversed()`
    `static <T extends Comparable<? super T>> DistributedComparator<T>` | `reverseOrder()` `Serializable` variant of `java.util.Comparator#reverseOrder()`.
    `default DistributedComparator<T>` | `thenComparing(Comparator<? super T> other)` `Serializable` variant of `java.util.Comparator#thenComparing(Comparator)`.
    `default DistributedComparator<T>` | `thenComparing(DistributedComparator<? super T> other)` `Serializable` variant of `java.util.Comparator#thenComparing(Comparator)`.
    `default <U extends Comparable<? super U>> DistributedComparator<T>` | `thenComparing(DistributedFunction<? super T,? extends U> toKeyFn)` `Serializable` variant of `java.util.Comparator#thenComparing(Function)`.
    `default <U> DistributedComparator<T>` | `thenComparing(DistributedFunction<? super T,? extends U> toKeyFn, DistributedComparator<? super U> keyComparator)` `Serializable` variant of `java.util.Comparator#thenComparing(Function, Comparator)`.
    `default <U extends Comparable<? super U>> DistributedComparator<T>` | `thenComparing(Function<? super T,? extends U> toKeyFn)` `Serializable` variant of `java.util.Comparator#thenComparing(Function)`.
    `default <U> DistributedComparator<T>` | `thenComparing(Function<? super T,? extends U> toKeyFn, Comparator<? super U> keyComparator)` `Serializable` variant of `java.util.Comparator#thenComparing(Function, Comparator)`.
    `default DistributedComparator<T>` | `thenComparingDouble(DistributedToDoubleFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#thenComparingDouble(ToDoubleFunction)`.
    `default DistributedComparator<T>` | `thenComparingDouble(ToDoubleFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#thenComparingDouble(ToDoubleFunction)`.
    `default DistributedComparator<T>` | `thenComparingInt(DistributedToIntFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#thenComparingInt(ToIntFunction)`.
    `default DistributedComparator<T>` | `thenComparingInt(ToIntFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#thenComparingInt(ToIntFunction)`.
    `default DistributedComparator<T>` | `thenComparingLong(DistributedToLongFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#thenComparingLong(ToLongFunction)`.
    `default DistributedComparator<T>` | `thenComparingLong(ToLongFunction<? super T> toKeyFn)` `Serializable` variant of `java.util.Comparator#thenComparingLong(ToLongFunction)`.

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Method Detail

    - #### compareEx

          int compareEx(T o1,
                        T o2)
                 throws Exception

      Exception-declaring version of `Comparator.compare(T, T)`.
      Throws:
        `Exception`

    - #### compare

          default int compare(T o1,
                              T o2)

      Specified by:
        `compare` in interface `Comparator<T>`

    - #### naturalOrder

          static <T extends Comparable<? super T>> DistributedComparator<T> naturalOrder()

      `Serializable` variant of `java.util.Comparator#naturalOrder()`.
      Specified by:
        `naturalOrder` in interface `Comparator<T>`

    - #### reverseOrder

          static <T extends Comparable<? super T>> DistributedComparator<T> reverseOrder()

      `Serializable` variant of `java.util.Comparator#reverseOrder()`.
      Specified by:
        `reverseOrder` in interface `Comparator<T>`

    - #### nullsFirst

          static <T> DistributedComparator<T> nullsFirst(Comparator<? super T> comparator)

      `Serializable` variant of `java.util.Comparator#nullsFirst(Comparator)`.
      Specified by:
        `nullsFirst` in interface `Comparator<T>`

    - #### nullsFirst

          static <T> DistributedComparator<T> nullsFirst(DistributedComparator<? super T> comparator)

      `Serializable` variant of `java.util.Comparator#nullsFirst(Comparator)`.

    - #### nullsLast

          static <T> DistributedComparator<T> nullsLast(Comparator<? super T> comparator)

      `Serializable` variant of `java.util.Comparator#nullsLast(Comparator)`.
      Specified by:
        `nullsLast` in interface `Comparator<T>`

    - #### nullsLast

          static <T> DistributedComparator<T> nullsLast(DistributedComparator<? super T> comparator)

      `Serializable` variant of `java.util.Comparator#nullsLast(Comparator)`.

    - #### comparing

          static <T,U> DistributedComparator<T> comparing(Function<? super T,? extends U> toKeyFn,
                                                          Comparator<? super U> keyComparator)

      `Serializable` variant of `java.util.Comparator#comparing(Function, Comparator)`.
      Specified by:
        `comparing` in interface `Comparator<T>`

    - #### comparing

          static <T,U> DistributedComparator<T> comparing(DistributedFunction<? super T,? extends U> toKeyFn,
                                                          DistributedComparator<? super U> keyComparator)

      `Serializable` variant of `java.util.Comparator#comparing(Function, Comparator)`.

    - #### comparing

          static <T,U extends Comparable<? super U>> DistributedComparator<T> comparing(Function<? super T,? extends U> toKeyFn)

      `Serializable` variant of `java.util.Comparator#comparing(Function)`.
      Specified by:
        `comparing` in interface `Comparator<T>`

    - #### comparing

          static <T,U extends Comparable<? super U>> DistributedComparator<T> comparing(DistributedFunction<? super T,? extends U> toKeyFn)

      `Serializable` variant of `java.util.Comparator#comparing(Function)`.

    - #### comparingInt

          static <T> DistributedComparator<T> comparingInt(ToIntFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#comparingInt(ToIntFunction)`.
      Specified by:
        `comparingInt` in interface `Comparator<T>`

    - #### comparingInt

          static <T> DistributedComparator<T> comparingInt(DistributedToIntFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#comparingInt(ToIntFunction)`.

    - #### comparingLong

          static <T> DistributedComparator<T> comparingLong(ToLongFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#comparingLong(ToLongFunction)`.
      Specified by:
        `comparingLong` in interface `Comparator<T>`

    - #### comparingLong

          static <T> DistributedComparator<T> comparingLong(DistributedToLongFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#comparingLong(ToLongFunction)`.

    - #### comparingDouble

          static <T> DistributedComparator<T> comparingDouble(ToDoubleFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#comparingDouble(ToDoubleFunction)`.
      Specified by:
        `comparingDouble` in interface `Comparator<T>`

    - #### comparingDouble

          static <T> DistributedComparator<T> comparingDouble(DistributedToDoubleFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#comparingDouble(ToDoubleFunction)`.

    - #### thenComparing

          default DistributedComparator<T> thenComparing(Comparator<? super T> other)

      `Serializable` variant of `java.util.Comparator#thenComparing(Comparator)`.
      Specified by:
        `thenComparing` in interface `Comparator<T>`

    - #### thenComparing

          default DistributedComparator<T> thenComparing(DistributedComparator<? super T> other)

      `Serializable` variant of `java.util.Comparator#thenComparing(Comparator)`.

    - #### thenComparing

          default <U> DistributedComparator<T> thenComparing(Function<? super T,? extends U> toKeyFn,
                                                             Comparator<? super U> keyComparator)

      `Serializable` variant of `java.util.Comparator#thenComparing(Function, Comparator)`.
      Specified by:
        `thenComparing` in interface `Comparator<T>`

    - #### thenComparing

          default <U> DistributedComparator<T> thenComparing(DistributedFunction<? super T,? extends U> toKeyFn,
                                                             DistributedComparator<? super U> keyComparator)

      `Serializable` variant of `java.util.Comparator#thenComparing(Function, Comparator)`.

    - #### thenComparing

          default <U extends Comparable<? super U>> DistributedComparator<T> thenComparing(Function<? super T,? extends U> toKeyFn)

      `Serializable` variant of `java.util.Comparator#thenComparing(Function)`.
      Specified by:
        `thenComparing` in interface `Comparator<T>`

    - #### thenComparing

          default <U extends Comparable<? super U>> DistributedComparator<T> thenComparing(DistributedFunction<? super T,? extends U> toKeyFn)

      `Serializable` variant of `java.util.Comparator#thenComparing(Function)`.

    - #### thenComparingInt

          default DistributedComparator<T> thenComparingInt(ToIntFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#thenComparingInt(ToIntFunction)`.
      Specified by:
        `thenComparingInt` in interface `Comparator<T>`

    - #### thenComparingInt

          default DistributedComparator<T> thenComparingInt(DistributedToIntFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#thenComparingInt(ToIntFunction)`.

    - #### thenComparingLong

          default DistributedComparator<T> thenComparingLong(ToLongFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#thenComparingLong(ToLongFunction)`.
      Specified by:
        `thenComparingLong` in interface `Comparator<T>`

    - #### thenComparingLong

          default DistributedComparator<T> thenComparingLong(DistributedToLongFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#thenComparingLong(ToLongFunction)`.

    - #### thenComparingDouble

          default DistributedComparator<T> thenComparingDouble(ToDoubleFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#thenComparingDouble(ToDoubleFunction)`.
      Specified by:
        `thenComparingDouble` in interface `Comparator<T>`

    - #### thenComparingDouble

          default DistributedComparator<T> thenComparingDouble(DistributedToDoubleFunction<? super T> toKeyFn)

      `Serializable` variant of `java.util.Comparator#thenComparingDouble(ToDoubleFunction)`.

    - #### reversed

          default DistributedComparator<T> reversed()

      `Serializable` variant of `java.util.Comparator#reversed()`
      Specified by:
        `reversed` in interface `Comparator<T>`

Copyright © 2018. All rights reserved.